Class List Method List File List

# Module: Concurrent::Actor::PublicDelegations

Included in:
  InternalDelegations, Reference
Defined in:
  lib/concurrent/actor/public_delegations.rb

## Overview

Provides publicly expose-able methods from Core.

## Instance Method Summary (collapse)

- - (undocumented) context_class (also: #actor_class)
- - (undocumented) executor
- - (undocumented) name
- - (undocumented) parent
- - (undocumented) path
- - (undocumented) reference (also: #ref)

## Instance Method Details

### - (`undocumented`) context_class Also known as: actor_class

See Also:

- Core#context_class

    32
    33
    34

    # File 'lib/concurrent/actor/public_delegations.rb', line 32

    def context_class
      core.context_class
    end

### - (`undocumented`) executor

See Also:

- Core#executor

    27
    28
    29

    # File 'lib/concurrent/actor/public_delegations.rb', line 27

    def executor
      core.executor
    end

### - (`undocumented`) name

See Also:

- Core#name

    7
    8
    9

    # File 'lib/concurrent/actor/public_delegations.rb', line 7

    def name
      core.name
    end

### - (`undocumented`) parent

See Also:

- Core#parent

    17
    18
    19

    # File 'lib/concurrent/actor/public_delegations.rb', line 17

    def parent
      core.parent
    end

### - (`undocumented`) path

See Also:

- Core#path

    12
    13
    14

    # File 'lib/concurrent/actor/public_delegations.rb', line 12

    def path
      core.path
    end

### - (`undocumented`) reference Also known as: ref

See Also:

- Core#reference

    22
    23
    24

    # File 'lib/concurrent/actor/public_delegations.rb', line 22

    def reference
      core.reference
    end